org.apache.tinkerpop.gremlin.process.traversal.util

## Class EmptyTraversalStrategies

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.util.EmptyTraversalStrategies

- All Implemented Interfaces:
    Serializable, Cloneable, TraversalStrategies

      public final class EmptyTraversalStrategies
      extends Object
      implements TraversalStrategies

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategies

      `TraversalStrategies.GlobalCache`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategies

      `STRATEGY_CATEGORIES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TraversalStrategies` | `addStrategies(TraversalStrategy<?>... strategies)` Add all the provided `TraversalStrategy` instances to the current collection.
    `void` | `applyStrategies(Traversal.Admin<?,?> traversal)` Apply all the `TraversalStrategy` optimizers to the `Traversal` for the stated `TraversalEngine`.
    `TraversalStrategies` | `clone()`
    `static EmptyTraversalStrategies` | `instance()`
    `TraversalStrategies` | `removeStrategies(Class<? extends TraversalStrategy>... strategyClasses)` Remove all the provided `TraversalStrategy` classes from the current collection.
    `List<TraversalStrategy<?>>` | `toList()` Return all the `TraversalStrategy` singleton instances associated with this `TraversalStrategies`.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategies

      `getStrategy, sortStrategies, visit`

- - ### Method Detail

    - #### toList

          public List<TraversalStrategy<?>> toList()

      Description copied from interface: `TraversalStrategies`
      Return all the `TraversalStrategy` singleton instances associated with this `TraversalStrategies`.
      Specified by:
        `toList` in interface `TraversalStrategies`

    - #### applyStrategies

          public void applyStrategies(Traversal.Admin<?,?> traversal)

      Description copied from interface: `TraversalStrategies`
      Apply all the `TraversalStrategy` optimizers to the `Traversal` for the stated `TraversalEngine`. This method must ensure that the strategies are sorted prior to application.
      Specified by:
        `applyStrategies` in interface `TraversalStrategies`
      Parameters:
        `traversal` - the traversal to apply the strategies to

    - #### addStrategies

          public TraversalStrategies addStrategies(TraversalStrategy<?>... strategies)

      Description copied from interface: `TraversalStrategies`
      Add all the provided `TraversalStrategy` instances to the current collection. When all the provided strategies have been added, the collection is resorted.
      Specified by:
        `addStrategies` in interface `TraversalStrategies`
      Parameters:
        `strategies` - the traversal strategies to add
      Returns:
        the newly updated/sorted traversal strategies collection

    - #### removeStrategies

          public TraversalStrategies removeStrategies(Class<? extends TraversalStrategy>... strategyClasses)

      Description copied from interface: `TraversalStrategies`
      Remove all the provided `TraversalStrategy` classes from the current collection. When all the provided strategies have been removed, the collection is resorted.
      Specified by:
        `removeStrategies` in interface `TraversalStrategies`
      Parameters:
        `strategyClasses` - the traversal strategies to remove by their class
      Returns:
        the newly updated/sorted traversal strategies collection

    - #### clone

          public TraversalStrategies clone()

      Specified by:
        `clone` in interface `TraversalStrategies`
      Overrides:
        `clone` in class `Object`

    - #### instance

          public static EmptyTraversalStrategies instance()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.